Subject: bug#20640: 24.5; lexical-binding should work like a normal file-local variable

From: Daniel Colascione <[email-masked]>
Date: Mon, 25 May 2015 13:33:05 -0700

On 05/24/2015 06:59 PM, Stefan Monnier wrote:
>> I think the only reason for this is an implementation detail
>> (lexical-binding is parsed by other code than the other file-local
>> variables).  It would be great to make it consistent with other
>> variables so that the user doesn't need to care about the difference.
> 
> Allowing it at the end of the file, would require jumping to the end of
> the file first, and then starting over from the beginning.
> That'd be a very bad requirement.

Why? We're going to have to read that page eventually anyway.